The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cpanel::Gzip error when trying to run cpbackup

Discussion in 'Data Protection' started by kisonay, May 17, 2013.

  1. kisonay

    kisonay Member

    Joined:
    Mar 21, 2013
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Last night when backups were supposed to run I got the following email:

    Code:
    Undefined subroutine &Cpanel::Gzip::Config::load_gzipcfg called at /usr/local/cpanel/scripts/cpbackup line 141.
    To confirm there was a problem I SSH to the server and ran the following:

    Code:
    root@s1 [~]#  /scripts/cpbackup
    Undefined subroutine &Cpanel::Gzip::Config::load_gzipcfg called at /usr/local/cpanel/scripts/cpbackup line 141.
    I ran /scripts/upcp --force without success.

    How can I restore the &Cpanel::Gzip::Config::load_gzipcfg subroutine?
     
  2. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,472
    Likes Received:
    200
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
    You might want to open a ticket to cPanel Support about this. A new backup system was added recently to EDGE and CURRENT.
     
  3. kisonay

    kisonay Member

    Joined:
    Mar 21, 2013
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    OK, will do that now.

    This is a new VPS and backups did run correctly the night before last. the Legacy backup system has never been used.

    Thanks
    Brian
     
  4. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,460
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    From your error message, and looking at scripts/cpbackup in 11.38, it sounds like your cpbackup script was note updated to the latest version. You might have an error in the update (check the update logs at /var/cpanel/updatelogs) or your cpbackup script might be exclude from updates (check /etc/cpanelsync.exclude).

    The cpbackup script in 11.38 does not use Cpanel::Gzip::Config::load_gzipcfg.
     
  5. kisonay

    kisonay Member

    Joined:
    Mar 21, 2013
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Yes, Sean was able to help me with my support ticket.

    It turns out (unbeknownst to me) that cpbackup was on the exclude update list so even though I was running /scripts/upcp --force the cpbackup script was not being updated.
     
Loading...

Share This Page